Create a UPS shipper account on behalf of a merchant through ShipSaving, without requiring manual registration on the UPS website. The account is automatically linked to the merchant's ShipSaving company and ready for shipping label purchases.
Important: The address provided in this request will be used as the UPS default return address — e.g. packages returned to sender will be delivered to this address.
If an account with the same seller_id already exists, it will be soft-deleted and a new one will be created with the updated address. This allows merchants to change their return address by re-calling this endpoint.
Caller-defined unique identifier for a merchant or seller. Must be unique per UPS ghost account within the same company.
Device fingerprint or identifier of the end user.
First line of address. Accepts street address and PO boxes.
- Production serverhttps://ps-api.shipsaving.com/api/carrier/create_ups_ghost_account
- Sandbox serverhttps://ps-api.shipsaving.us/api/carrier/create_ups_ghost_account
- BearerAuth
- ApiTokenAuth
curl -i -X POST \
https://ps-api.shipsaving.com/api/carrier/create_ups_ghost_account \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"seller_id": "merchant_10042",
"device_identity": "d8a7b6c5-e4f3-2a1b-9c8d-7e6f5a4b3c2d",
"ip_address": "203.0.113.42",
"first_name": "John",
"last_name": "Doe",
"email": "john@example.com",
"phone": "2135551234",
"company": "Acme Corp",
"street1": "1600 Amphitheatre Parkway",
"street2": "Suite 200",
"city": "Mountain View",
"state": "CA",
"postcode": "94043",
"country": "US"
}'UPS ghost account created successfully
Carrier account token created in ShipSaving. Use this as the carrier_token in rate requests. This value can also be found in the ShipSaving system → Carrier Accounts page(the "Token" column in the list).
{ "seller_id": "merchant_10042", "carrier_account_id": "ca_bc28f2e7aaaa4bbbacccbf7d9f2c27xx", "shipper_account_number": "Y5XXXX" }